package config.product.tradeFinance;

import java.util.HashMap;

public class BuyerLoans {

    public static final String API_Name = "Buyer Loans";
    public static final String API_FOLDER = "trade-finance/buyer-loans/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("BLA", new String[]{"Submit Buyer Loan Application", "/v1/buyer-loans/standard", "SubmitBuyerLoanApplication"});
            put("BLE", new String[]{"Submit Buyer Loan Extension", "/v1/buyer-loans/standard/extension", "SubmitBuyerLoanExtension"});
            put("BLS", new String[]{"Submit Buyer Loan Settlement", "/v1/buyer-loans/standard/settlement", "SubmitBuyerLoanSettlement"});
            put("TLS", new String[]{"Request Trade Loan Status List", "/v1/trade-loans/list", "ListTradeLoans"});
            put("TLD", new String[]{"Request Trade Loan Detail", "/v1/trade-loans/detail", "GetTradeLoanDetail"});
        }
    };
}

