package config.product.tradeFinance;

import java.util.HashMap;

public class PointOfSaleFinance {

    public static final String API_Name = "Point of sale finance";
    public static final String API_FOLDER = "trade-finance/point-of-sale-finance/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("BCA", new String[]{"Submit Buyer Credit Application", "/v1/point-of-sale-finance/buyer-credit-applications", "CreateBuyerCreditApplications"});
            put("BCAD", new String[]{"Request Credit Application Detail", "/v1/point-of-sale-finance/buyer-credit-applications/detail", "GetCreditApplicationDetail"});
            put("NLG", new String[]{"Submit Invoices For Financing", "/v1/point-of-sale-finance/invoices", "SubmitInvoices"});
            put("LGS", new String[]{"Request Invoice Status List", "/v1/point-of-sale-finance/invoices/list", "ListInvoices"});
            put("LGD", new String[]{"Request Invoice Detail", "/v1/point-of-sale-finance/invoices/detail", "GetInvoiceDetail"});
            put("BRS", new String[]{"Buyer Repayment Visibility", "/v1/point-of-sale-finance/repayment/list", "ListBuyerRepayments"});
        }
    };
}

