package config.product.tradeFinance;

import java.util.HashMap;

public class BankGuarantee {

    public static final String API_Name = "Bank Guarantee";
    public static final String API_FOLDER = "trade-finance/bank-guarantee/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("GTELS", new String[]{"Request Bank Guarantee Status List", "/v1/guarantee/fi/get-status", "ListGuaranteeStatus"});
            put("GTEDOC", new String[]{"Request Bank Guarantee Document", "/v1/guarantee/get-documents", "GetGuaranteeDocuments"});
            put("SDCLS", new String[]{"Request Standby DC Satus List", "/v1/standby-dc/fi/get-status", "ListStandByDCStatus"});

        }
    };
}