package config.product.tradeFinance;

import java.util.HashMap;

public class ExportLettersOfCredit {

    public static final String API_Name = "Export Letters of Credit";
    public static final String API_FOLDER = "trade-finance/export-letters-of-credit/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("EDCA", new String[]{"Submit Export DC Bookings", "/v1/export-letters-of-credit/export-dcs", "CreateExportDCBookings"});
            put("EDCU", new String[]{"Submit Export DC Amendment", "/v1/export-letters-of-credit/export-dcs/amendments", "UpdateExportDCBookings"});
            put("EDCS", new String[]{"Request Export DC Status List", "/v1/export-letters-of-credit/export-dcs/list", "ListExportDCs"});
            put("EDCD", new String[]{"Request Export DC Detail", "/v1/export-letters-of-credit/export-dcs/detail", "GetExportDC"});
            put("EDCBLS", new String[]{"Request Export DC Bill Status List", "/v1/export-letters-of-credit/bills/list", "ListExportDCBills"});
            put("EDCBLD", new String[]{"Request Export DC Bill Detail", "/v1/export-letters-of-credit/bills/detail", "GetExportDCBill"});
        }
    };
}
