package config.product.tradeFinance;

import java.util.HashMap;

public class ImportLettersOfCredit {

    public static final String API_Name = "Import Letters of Credit";
    public static final String API_FOLDER = "trade-finance/import-letters-of-credit/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("IDCA", new String[]{"Submit Import DC Applications", "/v1/import-letters-of-credit/import-dcs", "CreateImportDCApplication"});
            put("IDCU", new String[]{"Submit Import DC Amendment", "/v1/import-letters-of-credit/import-dcs/amendment", "AmendImportDCApplication"});
            put("IDCS", new String[]{"Request Import DC Status List", "/v1/import-letters-of-credit/import-dcs/list", "ListImportDCs"});
            put("IDCD", new String[]{"Request Import DC Detail", "/v1/import-letters-of-credit/import-dcs/detail", "GetImportDC"});
            put("IDCBLS", new String[]{"Request Import DC Bill Status List", "/v1/import-letters-of-credit/import-dcs/bills/list", "ListImportDCBills"});
            put("IDCBLD", new String[]{"Request Import DC Bill Detail", "/v1/import-letters-of-credit/import-dcs/bills/detail", "GetImportDCBill"});
        }
    };
}