package config.product.tradeFinance;

import java.util.HashMap;

public class ReceivablesFinance {

    public static final String API_Name = "Receivables Finance";
    public static final String API_FOLDER = "trade-finance/receivables-finance/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("NLG", new String[]{"Submit Invoices For Financing", "/v1/receivables-finance/invoices", "SubmitInvoices"});
            put("LGS", new String[]{"Request Invoice Status List", "/v1/receivables-finance/invoices/list", "ListInvoices"});
            put("LGD", new String[]{"Request Invoice Detail", "/v1/receivables-finance/invoices/detail", "GetInvoiceDetail"});
            put("BRS", new String[]{"Buyer Repayment Visibility", "/v1/receivables-finance/repayment/list", "ListBuyerRepayments"});
        }
    };
}
