package config.product.tradeFinance;

import java.util.HashMap;

public class SellerLoans {

    public static final String API_Name = "Seller Loans";
    public static final String API_FOLDER = "trade-finance/seller-loans/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("SLA", new String[]{"Submit Seller Loan Application", "/v1/seller-loans/standard", "SubmitSellerLoanApplication"});
            put("SLE", new String[]{"Submit Seller Loan Extension", "/v1/seller-loans/standard/extension", "SubmitSellerLoanExtension"});
            put("SLS", new String[]{"Submit Seller Loan Settlement", "/v1/seller-loans/standard/settlement", "SubmitSellerLoanSettlement"});
            put("TLS", new String[]{"Request Trade Loan Status List", "/v1/trade-loans/list", "ListTradeLoans"});
            put("TLD", new String[]{"Request Trade Loan Detail", "/v1/trade-loans/detail", "GetTradeLoanDetail"});
        }
    };
}