package config.product.tradeFinance;

import java.util.HashMap;

public class TradeWorkingCapitals {

    public static final String API_Name = "Trade Working Capitals";
    public static final String API_FOLDER = "trade-finance/trade-working-capital/";
    public static final HashMap<String, String[]> API_INFO = new HashMap<String, String[]>() {
        {
            put("TWCBLA", new String[]{"Submit TWC Buyer Loan Application", "/v1/twc-buyer-loans/standard", "SubmitTWCBuyerLoanApplication"});
            put("TWCBLE", new String[]{"Submit TWC Buyer Loan Extension", "/v1/twc-buyer-loans/standard/extension", "SubmitTWCBuyerLoanExtension"});
            put("TWCBLS", new String[]{"Submit TWC Buyer Loan Settlement", "/v1/twc-buyer-loans/standard/settlement", "SubmitTWCBuyerLoanSettlement"});
            put("TWCSLA", new String[]{"Submit TWC Seller Loan Application", "/v1/twc-seller-loans/standard", "SubmitTWCSellerLoanApplication"});
            put("TWCSLE", new String[]{"Submit TWC Seller Loan Extension", "/v1/twc-seller-loans/standard/extension", "SubmitTWCSellerLoanExtension"});
            put("TWCSLS", new String[]{"Submit TWC Seller Loan Settlement", "/v1/twc-seller-loans/standard/settlement", "SubmitTWCSellerLoanSettlement"});
            put("TLS", new String[]{"Request Trade Loan Status List", "/v1/trade-loans/list", "ListTradeLoans"});
            put("TLD", new String[]{"Request Trade Loan Detail", "/v1/trade-loans/detail", "GetTradeLoanDetail"});
        }
    };
}